> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Capture Page



## OpenAPI

````yaml /openapi.json post /api/v1/brands/{brand_id}/brand-intelligence/seo-native-create/owned-page-captures
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/brands/{brand_id}/brand-intelligence/seo-native-create/owned-page-captures:
    post:
      tags:
        - SEO and Content Create
      summary: Capture Page
      operationId: >-
        capture_page_api_v1_brands__brand_id__brand_intelligence_seo_native_create_owned_page_captures_post
      parameters:
        - name: brand_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Brand Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OwnedPageCaptureRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OwnedPageRevisionRef'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    OwnedPageCaptureRequest:
      properties:
        module:
          type: string
          enum:
            - seo
            - content
          title: Module
        canonicalUrl:
          type: string
          maxLength: 2083
          minLength: 1
          format: uri
          title: Canonicalurl
        title:
          anyOf:
            - type: string
              maxLength: 500
              minLength: 1
            - type: 'null'
          title: Title
        bodyText:
          anyOf:
            - type: string
              maxLength: 100000
              minLength: 1
            - type: 'null'
          title: Bodytext
        audienceEvidenceId:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Audienceevidenceid
        idempotencyKey:
          type: string
          maxLength: 128
          minLength: 1
          title: Idempotencykey
      additionalProperties: false
      type: object
      required:
        - module
        - canonicalUrl
        - idempotencyKey
      title: OwnedPageCaptureRequest
    OwnedPageRevisionRef:
      properties:
        brandId:
          type: string
          format: uuid
          title: Brandid
        sourceKind:
          type: string
          enum:
            - owned_page_capture
            - native_create_revision
          title: Sourcekind
        revisionId:
          type: string
          format: uuid
          title: Revisionid
        contentHash:
          type: string
          pattern: ^[0-9a-f]{64}$
          title: Contenthash
        canonicalUrl:
          type: string
          maxLength: 2083
          minLength: 1
          format: uri
          title: Canonicalurl
        evidenceRecordId:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Evidencerecordid
      additionalProperties: false
      type: object
      required:
        - brandId
        - sourceKind
        - revisionId
        - contentHash
        - canonicalUrl
      title: OwnedPageRevisionRef
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````